function ReplaceLocaleToKnown (lcid) {
    lcid = lcid.toLowerCase();

    supportedLangs = ['en', 'ru'];
        
    var lang = replaceInternal(lcid);

    if (supportedLangs.indexOf(lang) != -1) {
        return lang;
    } else {
        return supportedLangs[0];
    }

    function replaceInternal(lcid) {
        var lang = lcid.split('-')[0];
        var rus = ['ru', 'hy', 'az', 'be', 'kk', 'ky', 'mo', 'tg', 'tk', 'uz', 'uk'];
		return rus.indexOf(lang) != -1 ? "ru" : lang;
	}
}

function CheckConnection(lang) {
	if (navigator.connection.type == Connection.NONE) {
		alert(Settings.noInternet[lang]);
		return false;
	}
	else {
		return true;
	}
}

function OnDeviceReady() {
	window.open = cordova.InAppBrowser.open;
	
	var startGame = _.bind(function(lang){
		var checkConnection = setInterval(function(){
			if(CheckConnection(lang)) {
				App.Initialize(device.uuid, lang);
				clearInterval(checkConnection);
			}
		}, 100);
	}, this);

	navigator.globalization.getLocaleName(function(lang) {
		startGame(ReplaceLocaleToKnown(lang.value));
	}, function(er){
		startGame("en");
	});
}

document.addEventListener('deviceready', OnDeviceReady, false);
